Why Do I Receive an Error Message When Building a Volume License Installer (VLI)?

Updated Jan 15, 2020

Reported In

Software

  • Volume License Manager
  • Volume License Manager 3.2

Issue Details

When building a Volume License Installer (VLI) in Volume License Manager (VLM) 3.2 and onward I receive a blank error message. How can I resolve this? 

Solution

This can be a result of building a Volume License Installer which uses a later version of NI Package Manager than your current installation of Volume License Manager. These have been corrected in Volume License Manager patches as below:
 

Issues Fixed in NI VLM 3.2.1 Patch

IDDescription
743697VLM 3.2 fails to create volume license installers for NI product installers created using NI Package Manager 19.5.

Issues Fixed in NI VLM 3.2.2 Patch

IDDescription
937862VLM 3.2.1 fails to create volume license installers for NI product installers created using NI Package Manager 19.6.


To ensure compatibility please update your Volume License Manager to the latest version, available from the Volume License Manager Download Page

 

Additional Information

From LabVIEW 2019 and later, all NI installers are now based around NI Package Manager packages. You must have VLM 3.2 or later to be able to make a custom VLM installer for any software version of 19 or later.